Name:		libopus
Version:	1.0.1
Release:	1%{?dist}

Summary:	An audio codec for use in low-delay speech and audio communication
Group:		System Environment/Libraries
License:	BSD
URL:		http://www.opus-codec.org/
Source0:	http://downloads.xiph.org/releases/opus/opus-%{version}.tar.gz
# This is the current IETF Working Group draft
Source1:	http://tools.ietf.org/rfc/rfc6716.txt
Provides:	opus = %{version}-%{release}
Obsoletes:	opus < %{version}-%{release}
BuildRequires:	doxygen


%description
The Opus codec is designed for interactive speech and audio transmission over 
the Internet. It is designed by the IETF Codec Working Group and incorporates 
technology from Skype's SILK codec and Xiph.Org's CELT codec.


%package devel
Summary:	Development package for opus
Group:		Development/Libraries
Requires:	libogg-devel
Requires:	%{name} = %{version}-%{release}
Provides:	opus-devel = %{version}-%{release}
Obsoletes:	opus-devel < %{version}-%{release}


%description devel
Files for development with opus.


%prep
%setup -q -n opus-%{version}
cp %{SOURCE1} .


%build
%configure
make


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives and static libs
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'
mv %{buildroot}/usr/share/doc/opus _DOCS


%check
make check


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc COPYING README rfc6716.txt
%{_libdir}/libopus.so.0
%{_libdir}/libopus.so.0.2.0


%files devel
%defattr(-,root,root,0755)
%doc _DOCS/html
%{_includedir}/opus
%{_libdir}/libopus.so
%{_libdir}/pkgconfig/opus.pc
%{_datadir}/aclocal/opus.m4
%{_mandir}/man3/opus_*.3.gz


%changelog
* Fri Oct 19 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 1.0.1-1
- imported from Fedora
- cleaned up spec-file
- added missing 'clean' section
- added 'lib' prefix to package names to follow our naming standards
- added missing API documentation and man pages

